Skip to main content
POST
/
canvases
Create canvas
curl --request POST \
  --url https://api.vantage.sh/v2/canvases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "prompt": "<string>",
  "workspace_token": "<string>"
}
'
import requests

url = "https://api.vantage.sh/v2/canvases"

payload = {
"title": "<string>",
"prompt": "<string>",
"workspace_token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', prompt: '<string>', workspace_token: '<string>'})
};

fetch('https://api.vantage.sh/v2/canvases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "cnvs_abcd1234567890",
  "title": "Weekly Spend by Team",
  "prompt": "<string>",
  "workspace_token": "wrkspc_abcd1234567890",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "data": {
    "table": {},
    "error": "<string>"
  }
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a Canvas.

title
string
required

The title of the Canvas.

prompt
string
required

The prompt used to generate the Canvas.

workspace_token
string

The token of the Workspace to add the Canvas to. Required if the API token is associated with multiple Workspaces.

Response

Canvas model

token
string
required
Example:

"cnvs_abcd1234567890"

title
string
required

The title of the Canvas.

Example:

"Weekly Spend by Team"

prompt
string
required

The prompt used to generate the Canvas.

workspace_token
string
required

The token for the Workspace the Canvas belongs to.

Example:

"wrkspc_abcd1234567890"

created_at
string
required

The date and time, in UTC, the Canvas was created. ISO 8601 Formatted.

Example:

"2024-01-01T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Canvas was last updated. ISO 8601 Formatted.

Example:

"2024-01-01T00:00:00Z"

data
object